JarLibResolveTask (Apache Ant API)
Date: 2017-02-02

org.apache.tools.ant.taskdefs.optional.extension

## Class JarLibResolveTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.extension.JarLibResolveTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class JarLibResolveTask
      extends Task

  Tries to locate a JAR to satisfy an extension and place location of JAR into property.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JarLibResolveTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredAnt(AntResolver ant)` Adds Ant resolver to run an Ant build file to generate a library.
    `void` | `addConfiguredExtension(ExtensionAdapter extension)` Set the Extension looking for.
    `void` | `addConfiguredLocation(LocationResolver loc)` Adds location resolver to look for a library in a location relative to project directory.
    `void` | `addConfiguredUrl(URLResolver url)` Adds a URL resolver to download a library from a URL to a local file.
    `void` | `execute()` Execute the task.
    `void` | `setCheckExtension(boolean checkExtension)` Check nested libraries for extensions
    `void` | `setFailOnError(boolean failOnError)` Set whether to fail if error.
    `void` | `setProperty(java.lang.String property)` The name of the property in which the location of library is stored.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JarLibResolveTask

          public JarLibResolveTask()

  - ### Method Detail

    - #### setProperty

          public void setProperty(java.lang.String property)

      The name of the property in which the location of library is stored.
      Parameters:
        `property` - The name of the property in which the location of library is stored.

    - #### setCheckExtension

          public void setCheckExtension(boolean checkExtension)

      Check nested libraries for extensions
      Parameters:
        `checkExtension` - if true, libraries returned by nested resolvers should be checked to see if they supply extension.

    - #### setFailOnError

          public void setFailOnError(boolean failOnError)

      Set whether to fail if error.
      Parameters:
        `failOnError` - if true, failure to locate library should fail build.

    - #### addConfiguredLocation

          public void addConfiguredLocation(LocationResolver loc)

      Adds location resolver to look for a library in a location relative to project directory.
      Parameters:
        `loc` - the resolver location to search.

    - #### addConfiguredUrl

          public void addConfiguredUrl(URLResolver url)

      Adds a URL resolver to download a library from a URL to a local file.
      Parameters:
        `url` - the URL resolver from which to download the library

    - #### addConfiguredAnt

          public void addConfiguredAnt(AntResolver ant)

      Adds Ant resolver to run an Ant build file to generate a library.
      Parameters:
        `ant` - the AntResolver to generate the library.

    - #### addConfiguredExtension

          public void addConfiguredExtension(ExtensionAdapter extension)

      Set the Extension looking for.
      Parameters:
        `extension` - Set the Extension looking for.

    - #### execute

          public void execute()
                       throws BuildException

      Execute the task.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if the task fails.